<%if flash[:notice] %>
    <div class="alert alert-success" role="alert"><%= flash[:notice] %></div>
<%end%>


<table class = "table table-bordered">
    <thead>
        <tr>
            <th>Nome</th>
            <th>Descrição</th>
            <th>Preço</th>
            <%# <th>Quantidade</th>%>             
        </tr>
    </thead>
    <tbody>
       <%# <% todos = Produto.all %> 
         <%# <% todos = Produto.order :nome %> 
       <!--  <% @produtos_por_nome.each do |produto| %>
        <tr>
            <td><%= produto.nome %></td>
            <td><%= produto.descricao %></td>
            <td><%= produto.preco %></td>
            <td><%= produto.quantidade %></td>   
           <td>
            <%= button_to "Remover", produto, method: :delete , class: "btn btn-danger", 
            data: { confirm:"Realmente deseja remover #{produto.nome}?"} %>
            </td>         
        </tr>
        <% end %> -->
        <%= render @produtos_por_nome %>
    </tbody>
</table>

<table class ="table table-bordered">
     <thead>
        <tr>
            <th>Nome</th>
            <th>Descrição</th>
            <th>Preço</th>
            <%# <th>Quantidade</th> %>
        </tr>
    </thead>
    <tbody>
        <!--<%# <% todos = Produto.order :preco %>
        <% @produtos_por_preco.each do |produto| %>
        <tr>
            <td><%= produto.nome %></%></td>
            <td><%= produto.descricao %></%></td>
            <td><%= produto.preco %></%></td>
            <td><%= produto.quantidade %></%></td>
        </tr>
        <% end %> -->
        <%= render @produtos_por_preco %>
    </tbody>
</table>
<%= link_to "Criar novo produto", new_produto_path, class: "btn btn-primary" %>
<%= link_to "Criar novo Departamento", new_departamento_path, class: "btn btn-primary" %>
<%= link_to "Departamentos", departamentos_path, class: "btn btn-primary" %>
<%# <%= link_to "Criar novo produto", produtos_new_url %> 



